MKFS.MINIX(8)

NOM
mkfs.minix - Créer un système de fichiers MINIX

SYNOPSIS

mkfs.minix [options] périphérique [taille_en_bloc]

DESCRIPTION

mkfs.minix crée un système de fichiers MINIX sur un périphérique (généralement une partition d'un disque).

Le périphérique est généralement indiqué dans un des formats suivants :

    /dev/hda[1-8] (IDE disk 1)
    /dev/hdb[1-8] (IDE disk 2)
    /dev/sda[1-8] (SCSI disk 1)
    /dev/sdb[1-8] (SCSI disk 2)

The device may be a block device or an image file of one, but this is not enforced. Expect not much fun on a character device :-).

The size-in-blocks parameter is the desired size of the file system, in blocks. It is present only for backwards compatibility. If omitted the size will be determined automatically. Only block counts strictly greater than 10 and strictly less than 65536 are allowed.

OPTIONS

-c, --check
    Check the device for bad blocks before creating the filesystem. If any are found, the count is printed.

-n, --namelength taille
    Specify the maximum length of filenames. Currently, the only allowable values are 14 and 30 for file system versions 1 and 2. Version 3 allows only value 60. The default is 30.

--lock[=mode]
    Utiliser un verrou BSD exclusif pour le périphérique ou le fichier visé. L’argument facultatif mode peut être yes, no (ou 1 et 0) ou nonblock. Si cet argument est absent, sa valeur par défaut est yes. Cette option écrase la variable d’environnement $LOCK_BLOCK_DEVICE. Le comportement par défaut est de n’utiliser aucun verrou, mais cela est recommandé pour éviter des collisions avec udevd ou d’autres outils.

-i, --inodes nombre
    Indiquer le nombre d'inœuds sur le système de fichiers.

-l, --badblocks fichier
    Read the list of bad blocks from filename. The file has one bad-block number per line. The count of bad blocks read is printed.

-1
    Make a Minix version 1 filesystem. This is the default.

-2, -v
    Créer un système de fichiers MINIX version 2.

-3
    Créer un système de fichiers MINIX version 3.

-V, --version
    Display version information and exit. The long option cannot be combined with other options.

-h, --help
    Afficher l’aide-mémoire puis quitter.

ENVIRONNEMENT

LOCK_BLOCK_DEVICE=<mode>
    Utiliser un verrou exclusif BSD. Le mode est « 1 » ou « 0 ». Consulter --lock pour davantage de détails.

CODE DE RETOUR

Le code de retour renvoyé par mkfs.minix est l'un des codes suivants :

0
    Pas d'erreur.

8
    Erreur lors de l'opération.

16
    Erreur d'utilisation ou de syntaxe.

VOIR AUSSI

fsck(8), mkfs(8), reboot(8)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

The mkfs.minix command is part of the util-linux package which can be downloaded from

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.